import { ChatLogs } from '../index.js';
import { LlmQuery } from './LlmQuery.js';
export class LlmQueryBuilder {
    llm;
    tokenizer;
    messages;
    constructor(llm, tokenizer, messages = []) {
        this.llm = llm;
        this.tokenizer = tokenizer;
        this.messages = messages;
    }
    message(role, content) {
        this.messages.push({ role, content: content.toString() });
        return this;
    }
    build() {
        return new LlmQuery(this.llm, this.tokenizer, ChatLogs.from(this.messages, [], this.tokenizer));
    }
}
